<?php
/**
 * Album river view
 *
 * @author Cash Costello
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2
 */

$album = $vars['item']->getObjectEntity();
$excerpt = strip_tags(elgg_get_excerpt($album->description,500));
$excerpt = '<div class="elgg-river-excerpt">' . $excerpt . '</div>';
$album_river_view = elgg_get_plugin_setting('album_river_view', 'tidypics');
$preview_size = elgg_get_plugin_setting('river_thumbnails_size', 'tidypics');
$image_size = 'small';

if ('yes' == elgg_get_plugin_setting('use_popup_river', 'tidypics_plus'))
{
      elgg_load_css('slick');
      elgg_load_css('slick-theme');
      elgg_load_css('elgg.slick');
      elgg_require_js('tidypics_plus/tidypics_plus');
}

if ($album_river_view == "set") {
        $images = $album->getImages(7);
        $icon_options = array();
        if (count($images)) {
                $attachments = '<ul class="tidypics-river-list">';
                foreach($images as $image) {
                  if ('yes' == elgg_get_plugin_setting('use_popup_river', 'tidypics_plus'))
                  {
                    $icon_options['img_class'] = 'tidypics-photo';
                    $icon_options['link_class'] = 'elgg-lightbox';
                    $icon_options['href'] = 'ajax/view/tidypics/image_popup?guid=' . $image->guid;
                    $icon_options['data-colorbox-opts'] = json_encode([
                        'height' => '95%',
                        'width' => '95%',
                        'fixed' => true,
                        'className' => 'imagebox-popup imagebox' . $image->guid,
                    ]);
                  }
                  else {
                    $icon_options['href'] = $image->getURL();
                  }
                  $attachments .= '<li class="tidypics-photo-item">';
                  $attachments .= elgg_view_entity_icon($image, $image_size, $icon_options);
                  $attachments .= '</li>';
                }
                $attachments .= '</ul>';
        }
} else {
        $image = $album->getCoverImage();
        if ($image) {

          $image_size = 'small';
          $icon_options = array();
          if ('yes' == elgg_get_plugin_setting('use_popup_river', 'tidypics_plus'))
          {
            $icon_options['img_class'] = 'tidypics-photo';
            $icon_options['link_class'] = 'elgg-lightbox';
            $icon_options['href'] = 'ajax/view/tidypics/image_popup?guid=' . $image->guid;
            $icon_options['data-colorbox-opts'] = json_encode([
                'height' => '95%',
                'width' => '95%',
                'fixed' => true,
                'className' => 'imagebox-popup imagebox' . $image->guid,
            ]);
          }
          else {
            $icon_options['href'] = $image->getURL();
          }
          $attachments = '<div class="elgg-river-thumb">' . elgg_view_entity_icon($image, $image_size, $icon_options) . '</div>';
        }
}
$attachments = '<div class="elgg-river-thumb">' . $attachments . '</div>';
echo elgg_view('river/elements/layout', array(
	'item' => $vars['item'],
    'message' => $attachments . $excerpt,
));
